package cz.moneta.test.regression.channels.branch.archive;

import cz.moneta.dataprepare.CustomerDataPrepare;
import cz.moneta.test.dsl.Harness;
import cz.moneta.test.dsl.ufo.banka.tasks.BankaTasks;
import cz.moneta.test.harness.annotations.JiraTestCase;
import cz.moneta.test.harness.annotations.TestCase;
import cz.moneta.test.harness.annotations.TestScenario;
import org.junit.jupiter.api.Disabled;

import static cz.moneta.test.harness.annotations.Environment.EDU;
import static cz.moneta.test.harness.annotations.Environment.PPE;
import static cz.moneta.test.harness.annotations.Environment.TST1;

@Disabled
@TestScenario(name = "Teller must be able to create BU to a new customer")
public class CreateNewCustomerWithBu extends CustomerDataPrepare {

    @TestCase(name = "Bank teller is able to login and create BU to a new customer", environments = {TST1, PPE, EDU})
    @JiraTestCase(id = "POB-T19524")
    public void tcBankTellerIsAbleCreateBuToNewCustomer(Harness harness) {
        BankaTasks tasks = harness.tasks().ufo().banka();
        harness.withUfo()
                .openLoginPage()
                .then(tasks.login().withCredentialsAndTurnOffSignpad(credentials))
                .then(tasks.search().findByCif(newCustomerCif))
                .then(tasks.newProduct().createNewCurrentAccount("Tom Plus"));
    }
}
